// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('Hello, World! (You will see this line every time server resources reload)')

onEvent('recipes', event => {
  event.shaped('1x kubejs:machine_frame_simple', [
    'SAS',
    'ABA',
    'SAS'
  ], {
    S: '#forge:stone',
    A: 'minecraft:oak_log',
	B: 'thermal:rf_coil'
  })
  event.shaped('1x kubejs:machine_frame_ultimate', [
    'SAS',
    'ABA',
    'SAS'
  ], {
    S: 'minecraft:netherite_block',
    A: 'mekanism:ultimate_control_circuit',
	B: 'industrialforegoing:machine_frame_supreme'
  })
})
onEvent('recipes', event => {
  event.custom(
    {
  "type": "tconstruct:casting_table",
  "cast": {
    "item": "minecraft:redstone"
  },
  "cast_consumed": true,
  "fluid": {
    "tag": "forge:molten_iron",
    "amount": 144
  },
  "result": "kubejs:red_alloy_item",
  "cooling_time": 114
}
  )
  event.recipes.createSequencedAssembly([
  Item.of('1x kubejs:ultimate_mechanism').withChance(12),
  Item.of('create:brass_ingot').withChance(75),
  'minecraft:andesite',
  'create:precision_mechanism',
  'woot:t3shard',
  'pneumaticcraft:printed_circuit_board'
], 'extendedcrafting:the_ultimate_ingot', [
  event.recipes.createDeploying('kubejs:incomplete_ultimate_ingot', ['kubejs:incomplete_ultimate_ingot', 'create:precision_mechanism']),
  event.recipes.createDeploying('kubejs:incomplete_ultimate_ingot', ['kubejs:incomplete_ultimate_ingot', 'woot:t3shard']),
  event.recipes.createDeploying('kubejs:incomplete_ultimate_ingot', ['kubejs:incomplete_ultimate_ingot', 'pneumaticcraft:printed_circuit_board']),
]).transitionalItem('kubejs:incomplete_ultimate_mechanism').loops(6)

})